package com.boldchat.integrations;

public class AuthToken {
    private long timestamp = 0;
    private long integrationId = 0;
    private long accountId = 0;
    private boolean hasAuthHash = false;

    public AuthToken(String apiKey) {
        int ci = apiKey.indexOf(':');
        if(ci == -1) throwFormatError();

        int ci2 = apiKey.indexOf(':', ci+1);
        if(ci2 == -1) throwFormatError();

        int ci3 = apiKey.indexOf(':', ci2+1);

        boolean hasLastColon = false;
        try {
            accountId = Long.valueOf(apiKey.substring(0, ci));
            integrationId = Long.valueOf(apiKey.substring(ci + 1, ci2));
            hasLastColon = ci3 > -1;
            timestamp = Long.valueOf(apiKey.substring(ci2 + 1, hasLastColon ? ci3 : apiKey.length()));
        } catch (NumberFormatException nfe) {
            throwFormatError();
        }
        hasAuthHash = hasLastColon && ci3 + 1 < apiKey.length();
    }

    public void throwFormatError() {
        throw new AuthSecurityException("Auth key should be in format of accountID:integrationID:timestamp:sha512AuthHash");
    }

    public long getTimestamp() {
        return timestamp;
    }

    public long getIntegrationId() {
        return integrationId;
    }

    public long getAccountId() {
        return accountId;
    }

    public boolean hasAuthHash() {
        return hasAuthHash;
    }
}
