package com.boldchat.integrations;

import java.util.Map;

public class BoldApiRequest extends RestRequest {
	public BoldApiRequest(String serverSet, String path, long accountId) {
		super(new UrlRequestBase("https://api" + ((serverSet == null || serverSet.isEmpty()) ? "" : "-" + serverSet.toLowerCase()) + ".boldchat.com/aid/" + accountId), path);
	}

	public void addAllParameters(Map<String, String[]> parameters) {
		for(String key : parameters.keySet()) {
			addParameter(key, parameters.get(key)[0]);
		}
	}

	public void addAllParametersSimple(Map<String,?> parameters) {
		for(String key : parameters.keySet()) {
			Object paramValue = parameters.get(key);
			String stringValue = paramValue == null ? null : String.valueOf(paramValue);
			addParameter(key, stringValue);
		}
	}
}
