package com.boldchat.integrations;

public class UrlRequestBase implements RequestBase {
	private final String url;
	private final String userName;
	private final String password;

	public UrlRequestBase(String url) {
		this.url = url;
		this.userName = null;
		this.password = null;
	}
	
	public UrlRequestBase(String url, String userName, String password) {
		this.url = url;
		this.userName = userName;
		this.password = password;
	}

	@Override
	public String getUserName() {
		return this.userName;
	}

	@Override
	public String getPassword() {
		return this.password;
	}

	@Override
	public String getUrl() {
		return url;
	}
}
