package com.boldchat.integrations.sample;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;

import com.boldchat.integrations.ApiSecurityFilter;
import com.boldchat.integrations.ServletUtil;

public class SampleSecurityFilter extends ApiSecurityFilter {
	@Override
	public Long getAccountId(HttpServletRequest request) throws ServletException {
		String auth = ServletUtil.getCookieValue(request, AUTH_COOKIE_NAME);
		if(auth == null || auth.isEmpty()) {
			auth = request.getParameter(AUTH_PARAM_NAME);
		}
		if(auth != null && auth.indexOf(':') > -1) {
			return Long.valueOf(auth.substring(0, auth.indexOf(':')));
		} else {
			return 0L;
		}
	}

	@Override
	public String getUrl(HttpServletRequest request) throws ServletException {
		return request.getRequestURL().toString();
	}
}
