package com.boldchat.integrations.sample;

import com.boldchat.integrations.ApiSettings;

public class SampleSettings implements ApiSettings {
	private final Long accountId;
	private final Long setupItemId;
    private final String privateKey;
	private final String serverSet;

	public SampleSettings(Long accountId, Long setupItemId) {
		this.accountId = accountId;
		this.setupItemId = setupItemId;
        this.privateKey = SamplePropertiesUtil.getProperty("privateKey");

		String serverSet = SamplePropertiesUtil.getProperty("serverSet");
		if (serverSet == null) {
			serverSet = "";
		} else {
			serverSet = serverSet.toLowerCase();
		}
		this.serverSet = serverSet;
	}

	@Override
	public String getServerSet() {
		return serverSet;
	}

	@Override
	public Long getAccountId() {
		return accountId;
	}

	@Override
	public Long getSetupItemId() {
		return setupItemId;
	}

	@Override
	public boolean isEnabled() {
		return true;
	}

	@Override
	public String getPrivateKey() {
		return privateKey;
	}

	@Override
	public Long getTimeoutMilliseconds() {
		return 5 * 60 * 1000L;
	}

}
