package com.boldchat.integrations.sample.models;

import java.util.Date;

public class TicketContext {

    protected final int TicketID;
    protected final String TicketNumber;
    protected final String Title;
    protected final String Description;
    protected final String FirstName;
    protected final String LastName;
    protected final String Email;
    protected final String Phone;
    protected final String Status;
    protected final String AssignedTo;
    protected final Date Opened;
    protected final Date Updated;
    protected final TicketNotesContext[] Notes;

    public TicketContext(int ticketID, String ticketNumber, String title, String description, String firstName, String lastName,
                                    String email, String phone, String status, String assignedTo, Date opened, Date updated, TicketNotesContext[] notes) {

        this.TicketID = ticketID;
        this.TicketNumber = ticketNumber;
        this.Title = title;
        this.Description = description;
        this.FirstName = firstName;
        this.LastName = lastName;
        this.Email = email;
        this.Phone = phone;
        this.Status = status;
        this.AssignedTo = assignedTo;
        this.Opened = opened;
        this.Updated = updated;
        this.Notes = notes;
    }


    public int getTicketID() {
        return this.TicketID;
    }

    public String getTicketNumber() {
        return this.TicketNumber;
    }

    public String getTitle() {
        return this.Title;
    }

    public String getDescription() {
        return this.Description;
    }

    public String getFirstName() {
        return this.FirstName;
    }

    public String getLastName() {
        return this.LastName;
    }

    public String getEmail() {
        return this.Email;
    }

    public String getPhone() {
        return this.Phone;
    }

    public String getStatus() {
        return this.Status;
    }

    public String getAssignedTo() {
        return this.AssignedTo;
    }

    public Date getOpened() {
        return this.Opened;
    }

    public Date getUpdated() {
        return this.Opened;
    }

    public TicketNotesContext[] getNotes() {
        return this.Notes;
    }
}
